package com.jqtx.windows.common.mq;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.jqtx.infrastructure.mq.starter.mq.MQProducer;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @program: baoyouhua
 * @description:
 * @author: zq
 * @create: 2022-05-25 17:21
 **/
@Data
@Configuration
@ConfigurationProperties(prefix = "mq")
@Slf4j
public class WindowsProducer {

    private String creditTopic;

    @Autowired
    private MQProducer mqProducer;

    public void publishPreCredit(String json) {
        publishData(null, json, creditTopic, "firstCredit");
    }

    public void pullCreditThirdData(JSONObject json) {
        log.info("json:[{}]", json.toJSONString());
        publishData(null, json.toJSONString(), creditTopic, "creditThirdData");
    }

    public <T> void pullCrditDate(T obj) {
        log.info("pullCrditDate:[{}]", JSON.toJSONString(obj));
        publishData(null, JSON.toJSONString(obj), creditTopic, "goCredit");
    }


    private void publishData(String id, String body, String topic, String tag) {
        try {
            mqProducer.send(body, topic, tag);
        } catch (Exception e) {
            log.error("Send mq message exception.[{}]", e.getMessage(), e);
        }
    }
}
