package com.jqtx.windows.component.model;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.jqtx.windows.common.exception.BizException;
import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.ToString;

import java.io.Serializable;

@ApiModel(
        value = "ZyJsonResult",
        description = "通用返回结果模型"
)
@ToString
public class ZyJsonResult<T> implements Serializable {
    private static final long serialVersionUID = 1475348231900998033L;
    @ApiModelProperty("状态码")
    private String code;
    @ApiModelProperty("请求成功与否,true:成功,false:失败")
    private Boolean success;
    @ApiModelProperty("提示信息")
    private String message;
    @ApiModelProperty("返回业务数据")
    private T result;
    @ApiModelProperty("扩展字段")
    private JSONArray externalInfo;
    @ApiModelProperty("返回码")
    private String status ;
    public JSONArray getExternalInfo() {
        return externalInfo;
    }

    public void setExternalInfo(JSONArray externalInfo) {
        this.externalInfo = externalInfo;
    }



    public ZyJsonResult() {
    }

    public ZyJsonResult(boolean isSuccess, String code, String message) {
        this.success = isSuccess;
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public boolean isSuccess() {
        return this.success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getResult() {
        return this.result;
    }

    public void setResult(T result) {
        this.result = result;
    }

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
