package com.jqtx.windows.web;

import com.jqtx.windows.service.SftpService;
import com.jqtx.windows.web.response.JsonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description:
 * @author: lsl
 * @create: 2023年12月7日
 **/
@RestController
@RequestMapping("sftp")
@Api(value = "file", tags = {"浙农文件接口"})
@Slf4j
public class SftpController {

    @Autowired
    private SftpService sftpService;

    @ApiOperation(value = "获取浙农文件", tags = {"浙农文件接口"}, notes = "获取浙农文件")
    @GetMapping("/getFileByType")
    public JsonResult<String> getFileByType(String type, String date) {
        log.info("获取浙农文件:{},{}", date, type);
        return sftpService.getFileByType(date, type);
    }


}
